
//ejemplo de herencia
class Cliente{
    String nombre;
    public Cliente(String nombre){
        this.nombre=nombre;
    }

    public String getNombre(){
        return this.nombre;
    }
}


 class ClientePlata extends Cliente{
    String servicios;
    public ClientePlata(String nombre,String servicios){
        super(nombre);
        this.servicios=servicios;
    }

    public String getServicios(){
        return this.servicios;
    }

   /* @Override
    public String getNombre() {
        return super.getNombre();
    }*/
}


class ClienteOro extends ClientePlata{
    String beneficios;
    public ClienteOro(String nombre,String servicios,String beneficios){
        super(nombre, servicios);
        this.beneficios=beneficios;
    }

    public String getBeneficios(){
        return this.beneficios;
    }
}


class ClientePremium extends ClienteOro{
    String premio;
    public ClientePremium(String nombre,String servicios,String beneficios,String premio){
        super(nombre, servicios, beneficios);

        this.premio=premio;
    }
}
public class Herencia {
    public static void main(String[] args) {
        ClientePlata cp=new ClientePlata("nelson","masaje");//creo un objeto ClientePlata e instancio
        System.out.println("nombre: "+cp.getNombre());
        System.out.println("servicio: "+cp.getServicios());
    }
    
}
